<ui:composition xmlns:g="http://www.ihe.net/gazelle" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core" xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:rich="http://richfaces.org/rich" xmlns:gdk="http://www.ihe.net/gazellecdk"
                xmlns:s="http://jboss.org/schema/seam/taglib" xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <h:outputText rendered="#{not reportBean.userAllowed}"
                  value="#{messages['net.ihe.gazelle.xval.ThisResultIsProtectedYouAreNotAllowedToAccessIt']}"
                  styleClass="gzl-alert gzl-alert-red"/>
    <s:div rendered="#{reportBean.userAllowed}">
        <ui:decorate template="/layout/panels/_panel_title_footer_id.xhtml">
            <ui:param name="panel_id" value="summaryPanel"/>
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.GazelleCrossValidationReport']}"/>
            </ui:define>
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.OID']}</ui:define>
                    <h:outputText value="#{reportBean.validationLog.oid}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.ValidationDate']}</ui:define>
                    <g:date value="#{reportBean.validationLog.timestamp}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.Validator']}</ui:define>
                    <h:outputText
                            value="#{reportBean.validationLog.affinityDomain} - #{reportBean.validationLog.gazelleCrossValidator}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.ValidationStatus']}</ui:define>
                    <h:outputText value="#{reportBean.validationLog.result}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_data_list_item.xhtml">
                    <ui:define name="label">#{messages['net.ihe.gazelle.xval.PermanentLink_2']}</ui:define>
                    <h:outputLink value="#{reportBean.validationLog.getPermanentLink()}">
                        <h:outputText value="#{reportBean.validationLog.getPermanentLink()}"/>
                    </h:outputLink>
                </s:decorate>
            </dl>
            <ui:define name="panel_footer">
                <h:form id="reportActionButtons">
                    <h:commandButton value="#{messages['net.ihe.gazelle.xval.DownloadReport']}"
                                     actionListener="#{reportIOManager.exportReportToFile(reportBean.validationLog)}"
                                     styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.MarkResultPublic']}"
                                       actionListener="#{reportBean.setResultPublic()}"
                                       rendered="#{reportBean.currentUserCanChangeVisibility() and not reportBean.validationLog.isPublic}"
                                       render="reportActionButtons,summaryPanel"
                                       styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.MarkResultPrivate']}"
                                       actionListener="#{reportBean.setResultPrivate()}"
                                       rendered="#{reportBean.currentUserCanChangeVisibility() and reportBean.validationLog.isPublic}"
                                       render="reportActionButtons,summaryPanel" styleClass="gzl-btn-blue"/>
                    <a4j:commandButton value="#{messages['net.ihe.gazelle.xval.ShareThisResult']}"
                                       actionListener="#{reportBean.setResultProtected()}"
                                       rendered="#{reportBean.currentUserCanChangeVisibility() and not reportBean.validationLog.isPublic and empty reportBean.validationLog.privacyKey}"
                                       render="reportActionButtons,summaryPanel" styleClass="gzl-btn-blue"/>
                </h:form>
            </ui:define>
        </ui:decorate>
        <ui:insert name="validatedFiles"/>
        <ui:decorate template="/layout/panels/_panel_title.xhtml">
            <ui:define name="panel_title">
                <h:outputText value="#{messages['net.ihe.gazelle.xval.Report']}"/>
            </ui:define>
            <h:outputText value="#{reportIOManager.exportReportToHtml(reportBean.validationLog)}" escape="false"/>
        </ui:decorate>
    </s:div>
</ui:composition>
